import React from 'react'
import styled from 'styled-components'

import { Tooltip, TooltipDefault } from '@components/Tooltip'
import { Label, TextBig } from '@components/typography'

export interface BlockTabHeaderProps {
  title?: string
  tooltipText?: string
  tooltipTitle?: string
  tooltipLinkText?: React.ReactNode
  tooltipLinkURL?: string
  TooltipIcon?: React.ElementType
}

export const BlockTabHeader = ({
  title,
  tooltipText,
  tooltipTitle,
  tooltipLinkText,
  tooltipLinkURL,
  TooltipIcon = TooltipDefault,
}: BlockTabHeaderProps) => (
  <BlockTabHeaderWrap>
    <BlockTabHeaderInfo bold>
      {title}
      {tooltipText && (
        <Tooltip
          tooltipText={tooltipText}
          tooltipTitle={tooltipTitle}
          tooltipLinkText={tooltipLinkText}
          tooltipLinkURL={tooltipLinkURL}
        >
          <TooltipIcon />
        </Tooltip>
      )}
    </BlockTabHeaderInfo>
  </BlockTabHeaderWrap>
)

const BlockTabHeaderWrap = styled.div`
  display: grid;
  grid-auto-flow: column;
  width: 100%;
  justify-content: space-between;
  align-items: start;
`

const BlockTabHeaderInfo = styled(TextBig)`
  position: relative;
  align-items: start;
`
