import React, { ReactElement } from 'react';

import { useModal } from '@common/hooks/useModal';
import { ModalName } from '@common/providers/modal/types';

import { KpiModal } from './KpiModal';
import { KpiModalCall } from './useShowKpiModal';

export type ModalNames = ModalName<KpiModalCall>;

const modals: Record<ModalNames, ReactElement> = {
  Kpi: <KpiModal />,
};

export const KpiModals = () => {
  const { modal } = useModal();
  if (modal && modal in modals) {
    return modals[modal as ModalNames];
  }

  return null;
};
