import React, { useCallback } from 'react';

import { useModal } from '@common/hooks/useModal';
import { KpiModal } from './KpiModal';

import { ModalWithDataCall } from '@common/providers/modal/types'

type KpiData = any;

export type KpiModalCall = ModalWithDataCall<'Kpi', KpiData>


export const useShowKpiModal = (data: any) => {
  const { showModal } = useModal();
  
  return useCallback(
    (event?: React.MouseEvent<HTMLElement>) => {
      // console.log('useShowKpiModal 1', data);
      
      event?.stopPropagation();
      showModal<KpiModalCall>({ modal: 'Kpi', data, modalData: data });
    },
    [data]
  );
};
