import { Component } from "react";
import { Link } from "react-router-dom";
import { Button } from "react-bootstrap";
import { Typography } from "@material-ui/core";
import axios from "axios";

import { Tabs } from '@components/Tabs';
// import { usePageTabs } from '@hooks/usePageTabs';
import { usePageTabs } from '../hooks/usePageTabs'; // TODO
import { PageLayout, PageHeaderWrapper } from '@app/components/PageLayout';
import { PageTitle } from '@common/components/page/PageTitle';

import { Loading } from "..";

import Leaderboard from "./Leaderboard";
import Round from "./Round";

const baseUrl = `https://joystreamstats.live/static`;

export default function KpiTabs() {
  const tabs = usePageTabs([
    ['KPI', '/kpi'],
    ['Leaderboard', '/kpi/leaderboard'],
    ['Grading', '/kpi/grading'],
    ['Bounties', '/kpi/bounties'],
    // ['Operations Tasks', '/kpi/issues'],
  ]);

  return (
    <Tabs tabs={tabs} />
  );
}
