import React, { useState } from 'react';
import styled from 'styled-components';

import {
  BlockDurationStatistics,
  MultiValueStat,
  Statistics,
} from '@components/statistics';

import {
  MultiStatisticItem,
  StatsBlock,
  StatisticItem,
  StatisticLabel,
  // StatisticItemProps,
  StatisticItemSpacedContent,
  StatisticHeader,
  // StatisticHeaderProps,
  TotalValue,
} from '@components/statistics';

export const StatsContent = styled.div`
  margin-top: auto;
`;

export const JSStatsBlock = styled(StatsBlock)`
  width: 100%;
`;

export {
  BlockDurationStatistics,
  MultiValueStat,
  Statistics,
  //------------------
  MultiStatisticItem,
  StatsBlock,
  StatisticItem,
  StatisticLabel,
  // StatisticItemProps,
  StatisticItemSpacedContent,
  StatisticHeader,
  // StatisticHeaderProps,
  TotalValue,
};

interface StatisticsBlockProps {
  items: {
    title: string,
    label: string | number | React.ReactNode,
    value: string | number | React.ReactNode,
  }
}

export default function StatisticsBlock({ title, items }: StatisticsBlockProps) {
  return (
    <JSStatsBlock size="s">
      <StatisticHeader title={title} />
      <StatsContent>
        {items &&
          items.map((item) => (
            <StatisticItemSpacedContent>
              <StatisticLabel>{item.label}</StatisticLabel>
              {item.value}
            </StatisticItemSpacedContent>
          ))}
      </StatsContent>
    </JSStatsBlock>
  );
}
